// Copyright 2017-2025 WIT.COM Inc. All rights reserved.
// Use of this source code is governed by the GPL 3.0

package main

import (
	"go.wit.com/lib/protobuf/gitpb"
	"go.wit.com/log"
)

func doVerifyUser() error {
	me.found = new(gitpb.Repos)
	all := me.forge.Repos.SortByFullPath()
	for all.Scan() {
		repo := all.Next()
		if repo.IsDirty() {
			log.Info(repo.GetGoPath(), "is dirty")
			me.found.AppendByGoPath(repo)
			continue
		}
		if repo.ExistsUserBranchRemote() {
		}

		if repo.ExistsUserBranch() {
		}
		if repo.GetMasterBranchName() == repo.GetCurrentBranchName() {
			log.Info(repo.GetGoPath(), "is not on master branch")
			continue
		}

		devel := repo.GetDevelBranchName()
		if argv.Verbose {
			log.Printf("Start clean devel branch: %s %s\n", repo.GetGoPath(), devel)
		}

		// check if devel branch exists in remote repo
		if repo.IsBranchRemote(devel) {
			if err := doCleanDevelRepo(repo); err != nil {
				log.Info(repo.GetGoPath(), "verify clean failed")
			}
			// can not continue
			continue
		}
		// devel branch is only local
		/*
			todo: something?
				devname := repo.GetDevelBranchName()
				if err := requiresGitPush(repo, devname); err != nil {
					log.Info(repo.GetGoPath(), "is out of sync with upstream")
					return err
				}
		*/
	}
	return nil
}

func verifyRemoteUserBranch(repo *gitpb.Repo) {
}
